Subject: Re: flock(), mount
From: [email-masked] (Geoffrey Noer)

17 Dec 1998 13:55:48 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Andrew Cheyne <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

On Wed, Dec 16, 1998 at 04:13:40PM -0500, Andrew Cheyne wrote:
[...]
> 2. mount on B20.1 does not seem to work properly.. Often, when I try to
> create mounts, it just doesn't work, but the case that really bothers me is
> when I try to 'mount --reset'. It does not reset to defaults, but rather
> deletes random
> entries from my mount table..

I know there are some problems reassigning the slash mount but there
shouldn't be problems with other ones.  At least, I didn't find them
when I was testing mount and B20.1.

BTW, I'm going to be rewriting a good bit of the mount-related code
sometime relatively soon to better deal with global vs. user mounts.
The problem with not being able to change slash will also be fixed at
that time.  Finally, I'll probably be banging on the path code as part
of this so hopefully that'll get rid of some ugly critters that remain
there as well...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".